lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 0d823ab 11/12: Merge 'lmi_setup_41.sh' into '


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 0d823ab 11/12: Merge 'lmi_setup_41.sh' into 'lmi_setup_40.sh'
Date: Thu, 11 Jun 2020 20:58:34 -0400 (EDT)

branch: master
commit 0d823abde6f064c740f3392acbdb95c73e8a2ef2
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Merge 'lmi_setup_41.sh' into 'lmi_setup_40.sh'
---
 lmi_setup_00.sh  |  1 -
 lmi_setup_01.sh  |  1 -
 lmi_setup_01c.sh |  1 -
 lmi_setup_01r.sh |  1 -
 lmi_setup_40.sh  | 26 +++++++++++++++++++++++++-
 lmi_setup_41.sh  | 57 --------------------------------------------------------
 6 files changed, 25 insertions(+), 62 deletions(-)

diff --git a/lmi_setup_00.sh b/lmi_setup_00.sh
index 14e189f..6fda942 100755
--- a/lmi_setup_00.sh
+++ b/lmi_setup_00.sh
@@ -92,7 +92,6 @@ wget -N -nv "${GIT_URL_BASE}"/lmi_setup_25.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_29.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_30.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_40.sh
-wget -N -nv "${GIT_URL_BASE}"/lmi_setup_41.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_42.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_43.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_inc.sh
diff --git a/lmi_setup_01.sh b/lmi_setup_01.sh
index 44d5d5f..ce3d7b5 100755
--- a/lmi_setup_01.sh
+++ b/lmi_setup_01.sh
@@ -56,7 +56,6 @@ else
   su                                "${NORMAL_USER}"                  
./lmi_setup_30.sh
 fi
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_40.sh
-schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_41.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
 
diff --git a/lmi_setup_01c.sh b/lmi_setup_01c.sh
index e0f2612..f330e98 100755
--- a/lmi_setup_01c.sh
+++ b/lmi_setup_01c.sh
@@ -65,7 +65,6 @@ else
   su                                "${NORMAL_USER}"                  
./lmi_setup_30.sh
 fi
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_40.sh
-schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_41.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
 
diff --git a/lmi_setup_01r.sh b/lmi_setup_01r.sh
index 69c1d53..aa41232 100755
--- a/lmi_setup_01r.sh
+++ b/lmi_setup_01r.sh
@@ -59,7 +59,6 @@ else
   su                                "${NORMAL_USER}"                  
./lmi_setup_30.sh
 fi
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_40.sh
-schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_41.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
 
diff --git a/lmi_setup_40.sh b/lmi_setup_40.sh
index a8eabe9..7886fde 100755
--- a/lmi_setup_40.sh
+++ b/lmi_setup_40.sh
@@ -61,5 +61,29 @@ wine regedit
 #     (the other options don't seem to matter)
 #   then restart the application
 
+# Symlink directories used by lmi, so that both native and wine
+# builds use the same directories and can share the same
+# architecture-independent 'configurable_settings.xml'--much like the
+# "identity mount" technique used with cygwin. See:
+#   https://lists.nongnu.org/archive/html/lmi/2017-05/msg00018.html
+# Because wine has its own notion of the filesystem, relative paths
+# are wanted, the GNUism '--relative' being used to translate the
+# absolute paths so that
+#   /opt/lmi/     becomes ../../../../../../../opt/lmi
+#   /etc/opt/lmi/ becomes ../../../../../../../../etc/opt/lmi
+#   /var/opt/lmi/ becomes ../../../../../../../../var/opt/lmi
+
+mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/opt/
+cd ~/.wine/drive_c/users/"${NORMAL_USER}"/opt/ || { printf 'failed: cd\n'; 
exit 3; }
+ln --symbolic --relative --force --no-dereference /opt/lmi/ ./lmi
+
+mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/etc/opt/
+cd ~/.wine/drive_c/users/"${NORMAL_USER}"/etc/opt/ || { printf 'failed: cd\n'; 
exit 3; }
+ln --symbolic --relative --force --no-dereference /etc/opt/lmi/ ./lmi
+
+mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/var/opt/
+cd ~/.wine/drive_c/users/"${NORMAL_USER}"/var/opt/ || { printf 'failed: cd\n'; 
exit 3; }
+ln --symbolic --relative --force --no-dereference /var/opt/lmi/ ./lmi
+
 stamp=$(date -u +'%Y%m%dT%H%M%SZ')
-echo "$stamp $0: Installed 'wine'."  | tee /dev/tty
+echo "$stamp $0: Configured 'wine' for '$NORMAL_USER'."  | tee /dev/tty
diff --git a/lmi_setup_41.sh b/lmi_setup_41.sh
deleted file mode 100755
index dcff149..0000000
--- a/lmi_setup_41.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/sh
-
-# Create a chroot for cross-building "Let me illustrate...".
-#
-# Copyright (C) 2016, 2017, 2018, 2019, 2020 Gregory W. Chicares.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software Foundation,
-# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
-#
-# http://savannah.nongnu.org/projects/lmi
-# email: <gchicares@sbcglobal.net>
-# snail: Chicares, 186 Belle Woods Drive, Glastonbury CT 06033, USA
-
-. ./lmi_setup_inc.sh
-. /tmp/schroot_env
-
-set -evx
-
-assert_not_su
-assert_chrooted
-
-# Symlink directories used by lmi, so that both native and wine
-# builds use the same directories and can share the same
-# architecture-independent 'configurable_settings.xml'--much like the
-# "identity mount" technique used with cygwin. See:
-#   https://lists.nongnu.org/archive/html/lmi/2017-05/msg00018.html
-# Because wine has its own notion of the filesystem, relative paths
-# are wanted, the GNUism '--relative' being used to translate the
-# absolute paths so that
-#   /opt/lmi/     becomes ../../../../../../../opt/lmi
-#   /etc/opt/lmi/ becomes ../../../../../../../../etc/opt/lmi
-#   /var/opt/lmi/ becomes ../../../../../../../../var/opt/lmi
-
-mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/opt/
-cd ~/.wine/drive_c/users/"${NORMAL_USER}"/opt/ || { printf 'failed: cd\n'; 
exit 3; }
-ln --symbolic --relative --force --no-dereference /opt/lmi/ ./lmi
-
-mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/etc/opt/
-cd ~/.wine/drive_c/users/"${NORMAL_USER}"/etc/opt/ || { printf 'failed: cd\n'; 
exit 3; }
-ln --symbolic --relative --force --no-dereference /etc/opt/lmi/ ./lmi
-
-mkdir -p ~/.wine/drive_c/users/"${NORMAL_USER}"/var/opt/
-cd ~/.wine/drive_c/users/"${NORMAL_USER}"/var/opt/ || { printf 'failed: cd\n'; 
exit 3; }
-ln --symbolic --relative --force --no-dereference /var/opt/lmi/ ./lmi
-
-stamp=$(date -u +'%Y%m%dT%H%M%SZ')
-echo "$stamp $0: Configured 'wine' for '$NORMAL_USER'."  | tee /dev/tty



reply via email to

[Prev in Thread] Current Thread [Next in Thread]